Bug 1577631 - systemd-boot (gummiboot) not supported anymore???
Summary: systemd-boot (gummiboot) not supported anymore???
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 16:06 UTC by Frank Ansari
Modified: 2019-05-28 20:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:42:21 UTC
Type: Bug


Attachments (Terms of Use)
write-boot-config.sh (827 bytes, text/plain)
2018-05-13 16:07 UTC, Frank Ansari
no flags Details

Description Frank Ansari 2018-05-13 16:06:41 UTC
Description of problem:
After each new kernel installation the folder /boot/$(cat /etc/machine-id) is removed and the system unable to start.

Version-Release number of selected component (if applicable):
The component I used here is not the correct one I guess but I did not know which one to choose. This is more or less a general question regarding the boot process on a Fedora system.

How reproducible:
dnf upgrade 
When a new kernel is available.

Steps to Reproduce:
1.
2.
3.

Actual results:
Folder /boot/$(cat /etc/machine-id) is removed.
This results in a system which is not bootable anymore and has to be recovered by USB boot.

Expected results:
Folder stays in /boot.

Additional info:
So far I used gummiboot together with the preloader of James Bottomley.

https://blog.hansenpartnership.com/linux-foundation-secure-boot-system-released/

This solutions works for "secure boot" on EFI systems.

As attachment I add a script which I currently use as workaround.

Comment 1 Frank Ansari 2018-05-13 16:07:32 UTC
Created attachment 1435734 [details]
write-boot-config.sh

current workaround

Comment 2 Frank Ansari 2018-05-13 16:11:12 UTC
This behaviour started with Fedora 28. I never had this before.

Comment 3 Frank Ansari 2018-05-13 16:12:46 UTC
This script is only a workaround because it has to be run after each kernel update. If I forget to run it I have to recover my system by USB stick.

Comment 4 Frank Ansari 2018-06-16 12:58:51 UTC
Investigation:

I found the issue. It is this file:

/usr/lib/kernel/install.d/20-grub.install

Solution:

dnf erase grub2-common

Without grub the system does not remove the folder /boot/<machine-id> when installing a new kernel.

On a UEFI system you don't need grub.

Comment 5 Javier Martinez Canillas 2018-06-18 13:03:37 UTC
(In reply to Frank Ansari from comment #4)
> 
> Solution:
> 
> dnf erase grub2-common
> 
> Without grub the system does not remove the folder /boot/<machine-id> when
> installing a new kernel.
> 

Yes, if sd-boot is used then grub2 has to be uninstalled.

Comment 6 Frank Ansari 2018-06-19 17:39:05 UTC
Seems like this. But until Fedora 27 it did not behave this way and I cannot remember that I did a grub installation before upgrading. So I think grub was installed all the time.

The problem is that after upgrading from Fedora 27 to 28 your system will not start anymore but you have to boot from USB and repair it.

I have no idea why this change was made but at least I wanted to report it.

Comment 7 Ben Cotton 2019-05-02 21:33:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 20:42:21 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.